#
# $Id: tkgnats.cf.t,v 1.3 1993/11/16 22:19:34 jason Exp $
#
# The site configuration file for TkGnats
#
# This file is sourced by the TkGnats scripts
# to obtain various configuration variables.
#

###
### This section is configured by the Makefile.
### You should change this via the Makefile. Do not edit it directly
###

set TkGnats(GNATS_SITE) Verisim; ##GNATS_SITE##
				# The name of your site. To be used by
				# tksendpr to find your category list.

set TkGnats(GNATS_ADDR) bugs@verisim.com; ##GNATS_ADDR##
				# The default mail address for 
				# PR submissions to go to.

set TkGnats(TKGNATS_GNATS_ADDR)	bugs@vsl.com;
				# The mail address for 
				# tkgnats PR submissions to go to.
				# used with tksendpr -tkgnats

set TkGnats(Submitter-Id)	$TkGnats(GNATS_SITE);
				# GNATS Submitter-Id for arriving
				# reports at TkGnats(GNATS_ADDR)

set GNATS_BASE /var/lib/gnats; ##GNATS_BASE##
set GNATS_ROOT /var/lib/gnats/gnats-db; ##GNATS_ROOT##
set LIBDIR /usr/lib; ##LIBDIR##

set TkGnats(lib) /usr/lib/tkgnats; ##TKGNATSLIB##
set TkGnats(pr-edit)		$LIBDIR/gnats/pr-edit
set TkGnats(pr-addr)		$LIBDIR/gnats/pr-addr
set TkGnats(CategoriesFile)	$GNATS_BASE/$TkGnats(GNATS_SITE)
set TkGnats(SubmittersFile)	$GNATS_ROOT/gnats-adm/submitters
set TkGnats(ResponsibleFile)	$GNATS_ROOT/gnats-adm/responsible

###
### Switch which turns on-off use of special REGEXP aware version
### of query-pr. Set this to zero if using the stock GNATS query-pr
###
set TkGnats(RegexAwareQuerypr) 1
##set TkGnats(RegexAwareQuerypr) 0

###
###
###
set TkGnats(FilterDirectory) $TkGnats(lib)/print
				# directory that contains this systems
				# tkquery output filters (used in the filters
				# menu). if not defined, the menu is not 
				# presented at all
set TkGnats(FilterPrinter)   laser
                                # default printer device for lpr.

###
### Definitions for various support programs used by tkgnats
###

## set TkGnats(pr_editor)	"xterm -e edit-pr %s"
set TkGnats(pr_editor)		"tkeditpr %s"
				# Format string used for editing a pr. 
				# the %s defines the pr to edit

### Print spoolers and previewers

                                # Comment out or use "" for unsupported Print spoolers.
				# Note: spaces must be put in between 
				#       pipe characters if you use pipes

set TkGnats(psPrintSpooler)	"lpr -P laser"
				# PostScript print spooler (from stdin)
set TkGnats(dviPrintSpooler)    ""
				# dvi print spooler (from stdin)
set TkGnats(asciiPrintSpooler)  "fmt -s -75 | prt"
set TkGnats(latin1PrintSpooler) "fmt -s -75 | prt"
set TkGnats(troffPrintSpooler)  "fmt -s -75 | prt"
				# Plain text print spoolers (from stdin)

                                # Comment out or use "" for unsupported Print previewers.
set TkGnats(asciiPreviewer)	"xterm -e pico %s"
set TkGnats(latin1Previewer)	"xterm -e pico %s"
set TkGnats(dviPreviewer)	"xdvi %s"
set TkGnats(troffPreviewer)	"xterm -e pico %s"
set TkGnats(psPreviewer)	"ghostview %s"
				# PostScript previewer for printed reports

set TkGnats(Mailer)		"/usr/lib/sendmail -em -oi -t"
				# Mailer to use for send prs, etc..
                                # Like GNATS, it must read headers from file.

#set TkGnats(MailReader)		"xterm -font 10x20 -bg black -fg grey -T \"mail : tkgnats\" -sl 120 -geometry 80x25+0+0 -e pine"
				# Mail reader to used by tkgnats script.
				# Commenting this out will cause the
				# 'Mail System' button to be omitted
				# from the tkgnats window.

#set TkGnats(InfoReader) 	"xinfo";  # usable but not as nice
#set TkGnats(InfoReader)	"tkinfo"; 
				# Info Reader to use.
				# tkinfo expects INFOPATH set something like 
				# "setenv INFOPATH /usr/local/info".
				# You can get tkinfo from the Tcl archive.
				# Commenting this out will cause the
				# 'Mail System' button to be omitted
				# from the tkgnats window.

#set TkGnats(edit_authorized_groups) {test prg}
#set TkGnats(edit_authorized_users)  {gnats}
                                # List of users and/or groups that are 
                                # authorized to edit problem reports.
                                # Other users will see the edit options
                                # disabled in the various menus and dialogs.

#
# TkGnats(LogName)
# The login name for the user.
# 	- first check the first output field of the id command
# 	- then check USER env var
# 	- then try LOGNAME
# 	- then try running whoami
#
#
# TkGnats(GroupName)
# The group name for the user.
# 	- first check the first output field of the id command
# 	- then check GROUP env var
#
set idinfo ""
catch {set idinfo [exec id]}
regexp \\(\[a-zA-Z0-9\]+\\) [lindex [split $idinfo " "] 0] x
regexp \\(\[a-zA-Z0-9\]+\\) [lindex [split $idinfo " "] 1] y
set user  [string trim $x "()"]
set group [string trim $y "()"]

if {$user != ""} {
    set TkGnats(LogName) $user
} {
    if {[info exists env(USER)] && $env(USER) != "nouser"} {
        set TkGnats(LogName) $env(USER)
    } else {
        if {[info exists env(LOGNAME)]} {
            set TkGnats(LogName) $env(LOGNAME)
        } {
            set TkGnats(LogName) [exec whoami]
        }
    }
}
if {$group != ""} {
    set TkGnats(GroupName) $group
} {
    if {[info exists env(GROUP)]} {
        set TkGnats(GroupName) $env(GROUP)
    } {
        set TkGnats(GroupName) ""
    }
}

if {[info exists env(REPLYTO)]} {
    set TkGnats(EmailAddr) $env(REPLYTO)
} else {
    set TkGnats(EmailAddr) $TkGnats(LogName)
}

set TkGnats(TextWrap)		none
				#
				# Type of wrapping to use on multiline
				# text fields
				#


. config -bg grey85
option add *foreground black user
option add *background grey85 user
option add *highlightBackground grey85 user

###
### End
###
